## python-pylibdmtx 0.1.10

=== requirements.txt ===
# Dependencies required for development and releasing
-r requirements-test.txt
tox
twine
wheel

## python-pylibdmtx 0.1.9

=== debian/changelog ===
python-pylibdmtx (0.1.9-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Dec 2020 14:23:35 -0500

python-pylibdmtx (0.1.9-1) unstable; urgency=low

  * Initial release (Closes: #911770).

 -- Michael Fladischer <fladi@debian.org>  Sat, 06 Jun 2020 21:01:37 +0200

=== debian/control ===
Source: python-pylibdmtx
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 docbook-to-man,
 libdmtx-dev,
 python3-all,
 python3-numpy,
 python3-pil,
 python3-setuptools,
Standards-Version: 4.5.1
Homepage: https://github.com/NaturalHistoryMuseum/pylibdmtx/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pylibdmtx
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pylibdmtx.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pylibdmtx
Architecture: all
Depends:
 libdmtx0b,
 python3-pil,
 ${misc:Depends},
 ${python3:Depends},
Description: Read Data Matrix barcodes (Python3 version)
 Read and write Data Matrix barcodes from Python using the libdmtx library.
 .
 Features:
  * Pure Python
  * Works with PIL / Pillow images, OpenCV / numpy ndarrays, and raw bytes
  * Decodes locations of barcodes
  * No dependencies, other than the libdmtx library itself
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-pylibdmtx-$1/ \
https://github.com/NaturalHistoryMuseum/pylibdmtx/releases \
/NaturalHistoryMuseum/pylibdmtx/archive/v([\d\.]+)\.tar\.gz

## python-pylibdmtx 0.1.10

=== debian/changelog ===
python-pylibdmtx (0.1.10-1ubuntu1) noble; urgency=medium

  * Don't hard-code dependency on shared library.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 18:32:47 +0100

python-pylibdmtx (0.1.10-1build1) noble; urgency=high

  * No change rebuild against libdmtx0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 18:18:24 +0100

python-pylibdmtx (0.1.10-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Sun, 20 Mar 2022 21:57:25 +0000

python-pylibdmtx (0.1.9-4) unstable; urgency=low

  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.1.
  * Add python3-pytest to Build-Depends, required by tests.
  * Add patch to install PNG images from testsuite.
  * Enable upstream testsuite for autopkgtests.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Mon, 31 Jan 2022 20:51:37 +0000

python-pylibdmtx (0.1.9-3) unstable; urgency=low

  * Update d/watch to work with github again.
  * Use uscan version 4.
  * Bump Standards-Version to 4.6.0.

 -- Michael Fladischer <fladi@debian.org>  Sun, 29 Aug 2021 20:10:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-pylibdmtx
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
@@ -12,8 +13,9 @@
  python3-all,
  python3-numpy,
  python3-pil,
+ python3-pytest,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/NaturalHistoryMuseum/pylibdmtx/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pylibdmtx
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pylibdmtx.git
@@ -23,7 +25,7 @@
 Package: python3-pylibdmtx
 Architecture: all
 Depends:
- libdmtx0b,
+ ${lib:Depends},
  python3-pil,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pylibdmtx

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	$(RM) debian/python3-pylibdmtx/usr/bin/read_datamatrix.py
	$(RM) debian/python3-pylibdmtx/usr/bin/write_datamatrix.py

override_dh_installman:
	docbook-to-man debian/manpage.read_datamatrix.sgml > read_datamatrix.1
	docbook-to-man debian/manpage.write_datamatrix.sgml > write_datamatrix.1
	dh_installman

override_dh_gencontrol:
	dh_gencontrol -- \
	  -Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libdmtx-dev \
			| sed -E 's/.*(libdmtx[[:alnum:].-]+).*/\1/')

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-pylibdmtx-$1/ \
https://github.com/NaturalHistoryMuseum/pylibdmtx/tags \
/NaturalHistoryMuseum/pylibdmtx/archive/refs/tags/v([\d\.]+)\.tar\.gz
